TestAlertSmtpConfig
Test SMTP connectivity without saving the configuration Fixed RI-AN-NI01: standalone SMTP connectivity test
POST
/api/v1/alerting/channels/smtp/testOperation ID
TestAlertSmtpConfigSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
hostStringSMTP server hostname
Example: smtp.example.com
portIntegerSMTP server port
Example: 587
usernameStringSMTP authentication username
Example: alerts@example.com
passwordStringSMTP authentication password
Example: secret
encryptionStringEncryption mode: none, ssl, or starttls
Example: starttls
Responses
200 OKChange History
View all change historyChange TimeChange SummaryAction
Change Time
AddedRequest body fields accessToken, authMethodView API
